Bug 1472070 - distros grid search for "Tag is not" gives 500 Internal Server Error: AttributeError: 'module' object has no attribute 'distro_table'
distros grid search for "Tag is not" gives 500 Internal Server Error: Attribu...
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: general (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 24.4
: ---
Assigned To: Dan Callaghan
Anwesha Chatterjee
: Patch, Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-17 23:04 EDT by Dan Callaghan
Modified: 2017-10-02 23:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-02 23:57:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Callaghan 2017-07-17 23:04:09 EDT
Version-Release number of selected component (if applicable):
24.3

How reproducible:
easily

Steps to Reproduce:
1. From the menu: Distros -> All
2. Show Search Options
3. Table = Tag, Operation = is not, Value = <anything>
4. Search

Actual results:
500

Expected results:
should return matching distros

Additional info:
Error was found by pylint, while I was working on enabling attribute checking.

File "/usr/lib/python2.6/site-packages/bkr/server/search_utility.py", line 1229, in tag_is_not_filter
    return not_(model.distro_table.c.id.in_(ids))
AttributeError: 'module' object has no attribute 'distro_table'
Comment 1 Dan Callaghan 2017-07-18 01:58:59 EDT
https://gerrit.beaker-project.org/5743

This would have been a regression in 0.16.
Comment 3 Anwesha Chatterjee 2017-09-18 02:32:25 EDT
Verified that "Tag is not" distros grid search does not return 500 Server Error and instead returns distros matching the search criteria as expected.
Comment 4 Dan Callaghan 2017-10-02 23:57:41 EDT
Beaker 24.4 has been released.

Note You need to log in before you can comment on or make changes to this bug.